Does the ISM Android App work on versions prior to 2017.3.1

Version 1

    As per development:

     

    It is intended and designed for 2017.3.1 or later release, since we had to make some fixes to make some part of Self Service work nicely with mobile app.  They can try.  However, if they have an issue, it won’t be supported.